Bug 184369 - get ugly message (not responding) if I try to close a "edit mail" window
get ugly message (not responding) if I try to close a "edit mail" window
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Matthew Barnes
: 184370 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-03-08 05:01 EST by Juergen Bullinger
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-02 13:24:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Juergen Bullinger 2006-03-08 05:01:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; de; rv: Gecko/20060306 Fedora/ Firefox/

Description of problem:
If I write a mail and try to close it using the system menu (cross in the upper right corner of the window) I get a first dialog which says "You changed something" (I have the german version so I don't know how it is written in the english version in German it is "Warnung: Geänderte Nachricht").
This is still ok, but about 2 seconds later I get another dialog window, which says, that the message window is not responding (Title: Warnung Message: Das Fenster >>yoursubject<< reagiert nicht).

This second window should not occur, because the window doesn't hang, it is just waiting for user input. I don't know if this is a general problem in gnome event handling or if it is just an event which should be handeled by evolution, but isn't at the moment. I suppose the last is the reason.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. open evolution
2. create a new mail
3. type something
4. try to close the window using the system menu (upper right corner in the title bar)
5. wait until you see the two message dialogs (should happen within 5 seconds)

Actual Results:  gnome seems to think the window doesn't respond to the "system menu close"-event and displays a message to resolve the situation.

Expected Results:  The close event obviously is hadeled so this second message is not necessary. Evolution is just waiting for user interaction

Additional info:

It's not critical, but it is ugly. At first I thought Evolution would really hang. For an inexperienced user this looks like a fatal error occured. It will probably also lead to thinking that evolution is not stable software, which I think is not true of course. Evolution is great :o)
...and FC5 too, of course. Except for the devicemapper- and bootloader-install hell, I had to go through several times :o(
I was surprised how much faster FC5 starts up. Also after login the session is available faster.
Comment 1 Frank Arnold 2006-03-09 02:02:58 EST
*** Bug 184370 has been marked as a duplicate of this bug. ***
Comment 2 Juergen Bullinger 2006-03-23 15:31:06 EST
Please note, that 184370 and 185369 are not at all duplicate bugs. The modality
level and the "not responding" phenomenon have nothing to do with each other
except that I found them during one operation.
The not responding message is also not bound to evolution only i also got it
with other dialogs. It seems that some events are not handeled properly by gnome

juergen.bullinger@polovariant.de :o)
Comment 3 Juergen Bullinger 2006-03-24 06:23:46 EST
Ah you were right, sorry I confused 184370 with 184371
Comment 4 Matthew Miller 2007-04-06 13:01:38 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 5 Matěj Cepl 2007-08-31 11:22:39 EDT
The distribution against which this bug was reported is no longer supported,
could you please reproduce this with the updated version of the currently
supported distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue
turns out to still be reproducible, please let us know in this bug report.  If
after a month's time we have not heard back from you, we will have to close this

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 6 Matthew Barnes 2007-10-02 13:24:03 EDT

Note You need to log in before you can comment on or make changes to this bug.